## postgresql-prioritize 1.0.4~20220627.1715-9~1.git4e5ea3e.pgdg110+1

=== Makefile ===
MODULES = prioritize
EXTENSION = $(MODULES)
EXTVERSION = 1.0
EXTSQL = $(MODULES)--$(EXTVERSION).sql

DATA_built = $(MODULES).sql
DATA = uninstall_$(MODULES).sql
DOCS = README.md
REGRESS = $(MODULES)

SQL_IN = $(MODULES).sql.in

USE_EXTENSION = $(shell pg_config --version | grep -qE " 8\.| 9\.0" && echo no || echo yes)

ifeq ($(USE_EXTENSION),yes)
all: $(EXTSQL)

$(EXTSQL): $(EXTENSION).sql
	cp $< $@
DATA = $(EXTSQL)
EXTRA_CLEAN += $(EXTSQL)
endif

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== .pc/extsupport/Makefile ===
MODULES = prioritize
EXTENSION = $(MODULES)
EXTVERSION = 1.0
EXTSQL = $(MODULES)--$(EXTVERSION).sql

DATA_built = $(MODULES).sql
DATA = uninstall_$(MODULES).sql
DOCS = README.md
REGRESS = $(MODULES)

SQL_IN = $(MODULES).sql.in

USE_EXTENSION = $(shell pg_config --version | grep -qE " 8\.|9\.0" && echo no || echo yes)

ifeq ($(USE_EXTENSION),yes)
all: $(EXTSQL)

$(EXTSQL): $(EXTENSION).sql
	cp $< $@
DATA = $(EXTSQL)
EXTRA_CLEAN += $(EXTSQL)
endif

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

## postgresql-prioritize 1.0.4~20220627.1715-9~1.git4e5ea3e.pgdg18.04+1

=== debian/changelog ===
postgresql-prioritize (1.0.4~20220627.1715-9~1.git4e5ea3e.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:30:30 +0200

postgresql-prioritize (1.0.4-9) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 10:30:30 +0200

postgresql-prioritize (1.0.4-8) unstable; urgency=medium

  * Allow regression tests to start with priority 0..10.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Nov 2020 09:31:48 +0100

postgresql-prioritize (1.0.4-7) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * DH 13.
  * R³: no.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 21:24:13 +0200

postgresql-prioritize (1.0.4-6) unstable; urgency=medium

  * Upload for PostgreSQL 12.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Oct 2019 10:50:34 +0100

postgresql-prioritize (1.0.4-5) unstable; urgency=medium

  * Fix detection of extension support, otherwise it thinks "9.0" is a
    substring of "19.04" in the PG version number.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 06 Feb 2019 15:26:43 +0100

postgresql-prioritize (1.0.4-4) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 22:31:27 +0200

postgresql-prioritize (1.0.4-3) unstable; urgency=medium

  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <myon@debian.org>  Sat, 27 Jan 2018 11:12:54 +0100

postgresql-prioritize (1.0.4-2) unstable; urgency=medium

  * Team upload taking over for the PostgreSQL team.
  * Rebuild for PostgreSQL 10 support.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 27 Sep 2017 13:55:02 +0200

postgresql-prioritize (1.0.4-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Update package for PostgreSQL 9.6.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Sep 2016 22:57:36 +0200

postgresql-prioritize (1.0.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update package for PostgreSQL 9.5. (Closes: #812409)
  * Update packaging to 3.0 (quilt) and pg_buildext.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 02 Feb 2016 11:37:54 +0100

postgresql-prioritize (1.0.4-1.1) unstable; urgency=medium

  * Rebuild for postgresql-9.4.
  * Set explicit dependency on postgresql version supported.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 11 Aug 2014 12:16:49 +0200

postgresql-prioritize (1.0.4-1) unstable; urgency=low

  * New upstream release (Closes: #706560).

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 01 May 2013 17:19:06 +0200

=== debian/control ===
Source: postgresql-prioritize
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://pgxn.org/dist/prioritize/
XS-Testsuite: autopkgtest
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-prioritize
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-prioritize.git

Package: postgresql-10-prioritize
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-10
Description: Get and set the nice priorities of PostgreSQL backends
 This module implements an interface to getpriority() and setpriority() for
 PostgreSQL backends, callable from SQL functions. Essentially, this module
 allows users to `renice' their backends.

Package: postgresql-11-prioritize
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-11
Description: Get and set the nice priorities of PostgreSQL backends
 This module implements an interface to getpriority() and setpriority() for
 PostgreSQL backends, callable from SQL functions. Essentially, this module
 allows users to `renice' their backends.

Package: postgresql-12-prioritize
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-12
Description: Get and set the nice priorities of PostgreSQL backends
 This module implements an interface to getpriority() and setpriority() for
 PostgreSQL backends, callable from SQL functions. Essentially, this module
 allows users to `renice' their backends.

Package: postgresql-13-prioritize
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-13
Description: Get and set the nice priorities of PostgreSQL backends
 This module implements an interface to getpriority() and setpriority() for
 PostgreSQL backends, callable from SQL functions. Essentially, this module
 allows users to `renice' their backends.

Package: postgresql-14-prioritize
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-14
Description: Get and set the nice priorities of PostgreSQL backends
 This module implements an interface to getpriority() and setpriority() for
 PostgreSQL backends, callable from SQL functions. Essentially, this module
 allows users to `renice' their backends.

## postgresql-prioritize 1.0.4~20220627.1715-9~1.git4e5ea3e.pgdg20.04+1

=== debian/changelog ===
postgresql-prioritize (1.0.4~20220627.1715-9~1.git4e5ea3e.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:30:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://pgxn.org/dist/prioritize/

## postgresql-prioritize 1.0.4~20220627.1715-9~1.git4e5ea3e.pgdg21.10+1

=== debian/changelog ===
postgresql-prioritize (1.0.4~20220627.1715-9~1.git4e5ea3e.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:30:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
+Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://pgxn.org/dist/prioritize/

## postgresql-prioritize 1.0.4~20220627.1715-9~1.git4e5ea3e.pgdg110+1

=== debian/changelog ===
postgresql-prioritize (1.0.4~20220627.1715-9~1.git4e5ea3e.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:30:30 +0200

## postgresql-prioritize 1.0.4~20220627.1715-9~1.git4e5ea3e.pgdg+1

=== debian/changelog ===
postgresql-prioritize (1.0.4~20220627.1715-9~1.git4e5ea3e.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 10:30:30 +0200

## postgresql-prioritize 1.0.4

=== Makefile ===
--- 
+++ 
@@ -9,8 +9,9 @@
 REGRESS = $(MODULES)
 
 SQL_IN = $(MODULES).sql.in
+EXTRA_CLEAN = sql/$(MODULES).sql expected/$(MODULES).out
 
-USE_EXTENSION = $(shell pg_config --version | grep -qE " 8\.| 9\.0" && echo no || echo yes)
+USE_EXTENSION = $(shell pg_config --version | grep -qE " 8\.|9\.0" && echo no || echo yes)
 
 ifeq ($(USE_EXTENSION),yes)
 all: $(EXTSQL)

=== debian/changelog ===
postgresql-prioritize (1.0.4-10) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 16:19:12 +0200

=== debian/control ===
Source: postgresql-prioritize
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://pgxn.org/dist/prioritize/
XS-Testsuite: autopkgtest
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-prioritize
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-prioritize.git

Package: postgresql-15-prioritize
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-15
Description: Get and set the nice priorities of PostgreSQL backends
 This module implements an interface to getpriority() and setpriority() for
 PostgreSQL backends, callable from SQL functions. Essentially, this module
 allows users to `renice' their backends.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs_loop
